/* Westell 6100 multicast data collection utility
 * to start the multicast stream.
 *
 * Copyright: Josh Carroll (josh.carroll@gmail.com)
 * 10/13/2004
 *
 * wstart.h is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
*/

/* the shared header for wstart and wstop */
#include "common.h"

/* this holds an array of model structs that
 * defines the offsets and sizes for each modem type we know about
 * It is currently setup for the 610010 and 610030 (which are the same,
 * this is just for vebosity. Adding another modem should be trivial.
 * All offstes and sizes are in bytes */
pmodel_t pmodels[MAX_MODEL_NUMBER+1] = {
	{ /* Westell 610010 */
		"610010",
		5,
		{
			/* first packet */
			{ 1486, 2420, 3, { 0, 12, 0 } },
			/* second packet */
			{ 1486, 2420, 3, { 0, 1, 0 } },
			/* third packet */
			{ 1487, 2420, 3, { 0, 12, 0 } },
			/* fourth packet */
			{ 1487, 2420, 2, { 0, 6 } },
			/* fifth packet */
			{ 1875, 1875, 7, { 0, 48, 1, 224, 73, 193, 62 } }
		},
		2,
		{
			{ "224.0.0.22", "224.73.193.62" }
	    },
		"192.168.1.255"
	},
	{ /* Westell 610030 */
		"610030",
		5,
		{
			/* first packet */
			{ 1486, 2420, 3, { 0, 12, 0 } },
			/* second packet */
			{ 1486, 2420, 3, { 0, 1, 0 } },
			/* third packet */
			{ 1487, 2420, 3, { 0, 12, 0 } },
			/* fourth packet */
			{ 1487, 2420, 2, { 0, 6 } },
			/* fifth packet */
			{ 1875, 1875, 7, { 0, 48, 1, 224, 73, 193, 62 } }
		},
		2,
		{
			{ "224.0.0.22", "224.73.193.62" }
		},
		"192.168.1.255"
	},
	{ /* Westell 36R516 */
		"36R516",
		5,
		{
			/* first packet */
			{ 2417, 2420, 3, { 0, 12, 0 } },
			/* second packet */
			{ 2417, 2420, 3, { 0, 1, 0 } },
			/* third packet */
			{ 2418, 2420, 3, { 0, 12, 0 } },
			/* fourth packet */
			{ 2418, 2420, 2, { 0, 6 } },
			/* fifth packet */
			{ 1875, 1875, 7, { 0, 48, 1, 224, 73, 193, 62 } }
		},
		2,
		{
			{ "224.0.0.22", "224.73.193.62" }
		},
		"192.168.3.255"
	},
	{ /* Westell 2200 */
		"2200",
		5,
		{
			/* first packet */
			{ 2417, 2420, 3, { 0, 12, 0 } },
			/* second packet */
			{ 2417, 2420, 3, { 0, 1, 0 } },
			/* third packet */
			{ 2418, 2420, 3, { 0, 12, 0 } },
			/* fourth packet */
			{ 2418, 2420, 2, { 0, 6 } },
			/* fifth packet */
			{ 1875, 1875, 7, { 0, 48, 1, 224, 73, 193, 62 } }
		},
		2,
		{
			{ "224.0.0.22", "224.73.193.62" }
		},
		"192.168.1.255"
	},
	{ /* Westell 7400 */
		"7400",
		5,
		{
			/* first packet */
			{ 1486, 2420, 3, { 0, 12, 0 } },
			/* second packet */
			{ 1486, 2420, 3, { 0, 1, 0 } },
			/* third packet */
			{ 1487, 2420, 3, { 0, 12, 0 } },
			/* fourth packet */
			{ 1487, 2420, 2, { 0, 6 } },
			/* fifth packet */
			{ 1875, 1875, 7, { 0, 48, 1, 224, 73, 193, 62 } }
		},
		2,
		{
			{ "224.0.0.22", "224.73.193.62" }
		},
		"192.168.254.255"
	}
};

